Bug 1228 - Fast forward or rewind media files
: Fast forward or rewind media files
Status: RESOLVED WONTFIX
Product: Media player
General
: 5.0-beta
: N800 Maemo
: Low enhancement with 7 votes (vote)
: Harmattan
Assigned To: unassigned
: media-player-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2007-04-20 17:23 UTC by Hanno Zulla
Modified: 2012-03-24 11:39 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Hanno Zulla (reporter) 2007-04-20 17:23:41 UTC
The media player offers few controls using the device's hardware buttons.

I strongly miss the ability to fast forward or rewind movies using the dpad.

Currently, the dpad is only used for "previous / next clip", but I noticed that
I never need this feature.

Suggestion:

Please use the "up/down" dpad-buttons for "previous / next clip"
Please use the "left/right" dpbad-buttons for "rewind / fast-forward clip"
Comment 1 Hanno Zulla (reporter) 2007-07-06 18:14:56 UTC
Still in 2007SE_4.2007.26-8.
Comment 2 Jake Kunnari 2007-07-10 14:13:45 UTC
Quim Gil added to cc-field
Comment 3 Andre Klapper maemo.org 2008-12-31 17:41:33 UTC
Sorry, but this is a WONTFIX for both Diablo and Fremantle.
Comment 4 Andrew Flegg maemo.org 2008-12-31 17:50:35 UTC
And what about Harmattan? Or beyond? Will the future releases' planning
processes including looking over WONTFIXes to see what enhancements were
desired?

Has anyone in all seriousness tried using the existing minute scrollbar in a
moving vehicle (say a train) to fast forward 30 seconds? Example use case:
commuter transcodes a PVR recording to their tablet and wants to watch it on
his commute. Wants to skip over adverts and has no easy way of doing so in a
2-hour movie where each pixel on the scroll bar represents about 2 minutes, and
not jumping back ten or twenty minutes is an achievement when the stylus is
bouncing around.
Comment 5 Quim Gil nokia 2008-12-31 17:54:55 UTC
I'm also reluctant about wontfixing requests that might be fulfilled in
Harmattan or later, though. What I'm doing is leaving those open, unless I get
one day someone in charge of planning/development saying that this was
discussed and it won't be taken.

In this case, S60 does support such request so I don't see why this couldn't
happen one day in Maemo.
Comment 6 Quim Gil nokia 2008-12-31 23:14:30 UTC
On the other hand, this request has in fact 2 levels:

1: Possibility to rewind/forward within a video/audio file.
2: Possibility to use the feature above through the D-Pad.

Without 1, discussing 2 is pointless. And 2 refers to a piece of hardware that
might or might be not in devices shipping Harmattan and later versions (and
future hardware is something we don't discuss here).

Therefore I suggest to rescope this request to concentrate on rewind/forward
functionality.

If/when this functionality is provided, then there will be either a supported
way to use it via hardware keys (as some Nokia devices have) or an unofficial
way to map key events to that functionality.
Comment 7 Andrew Flegg maemo.org 2009-01-01 01:17:08 UTC
@qgil: agreed. THe exact interface for fast forward/rewind shouldn't be too
prescriptive, IMHO.

A possible UI would be along the line Diablo's "Images" allows you to move from
oner to the next (or previous) in full screen - onscreen layered UIs would be
dependent on the h/w performance of any future possible device ;-)
Comment 8 Quim Gil nokia 2009-01-07 16:20:28 UTC
Ok, rescoping to "Fast forward or rewind media files".
Comment 9 Quim Gil nokia 2009-01-08 16:58:47 UTC
(In reply to comment #8)
> Ok, rescoping to "Fast forward or rewind media files".

... which was useful to know that this feature is in the Harmattan backlog for
playing videos. Not committed yet.
Comment 10 Andre Klapper maemo.org 2012-03-21 18:06:51 UTC
The Maemo 5 User Interface and Maemo 5 platform components (e.g. libraries)
used for the N900 are considered stable by Nokia, hence resetting the ASSIGNED
status to NEW/UNCONFIRMED as nobody is working on this.

Note that very likely any feature requests for Maemo5 will not receive fixes
(WONTFIX) - I might mass-set this status in the future. There is a very small
chance for issues in open source components that contributed patches could be
included in the Maemo 5 CSSU Community updates - see http://wiki.maemo.org/CSSU
for more information.


For completeness (as Harmattan is mentioned in some reports), MeeGo 1.2
Harmattan used for the N9 and N950 is handled in
http://harmattan-bugs.nokia.com/ which has recently been closed for new bug
report entry [1].

[1]
http://www.developer.nokia.com/Community/Blogs/blog/n9-developer/2012/03/08/harmattan-bugzilla-closed-for-new-bugs
Comment 11 Andre Klapper maemo.org 2012-03-24 11:39:04 UTC
The Maemo 5 User Interface and Maemo 5 platform components (e.g. libraries)
used for the N900 are considered stable by Nokia and it seems that there are no
plans for official updates currently, hence nobody plans to work on this
enhancement/wishlist request. 
(And in case you feel like discussing this situation: Nokia Customer Care or
http://talk.maemo.org would be the place to do so as you will not reach Nokia
officials in this community bugtracker - though all of this is really no news.)

Reflecting this status by setting RESOLVED WONTFIX for this
enhancement/wishlist request (see
https://bugs.maemo.org/page.cgi?id=fields.html#status for status explanations).

There is a small chance for issues in those Maemo components that are open
source: Contributed patches could be included and made available in the Maemo 5
Community CSSU updates. 
The Maemo CSSU project is run by a small team of volunteers; see
http://wiki.maemo.org/CSSU for more information.
So in case that you can provide a patch that fixes the reported problem, please
feel encouraged to file a request under
https://bugs.maemo.org/enter_bug.cgi?product=Maemo%205%20Community%20SSU .
Please note: The Maemo CSSU project is not related in any way to Nokia.


( Tag for mass-deleting bugmail: [cleanup20120324] )